$(document).ready(function () {
    $(".mll_add").hide();
    $(".mr_one").show();
    $(".mr_two").hide();
});

$(".btnTitle").live('click', function () {
    var menuName = $("#menuName").val();
    menuName = $.trim(menuName);
    if (menuName == '' || menuName.length == 0) {
        _alert("请填写菜单名称");
        return;
    }
    var qlMainMenu2 = $(':hidden[name=qlMainMenu2]').val();
    var qlMainMenu = $(':hidden[name=qlMainMenu]').val();
    var qlMenuId = $(':hidden[name=qlMenuId]').val();

    var tbMenuid = $(':hidden[name=qlTBMenuId]').val();
    var tbmenuPid = $(':hidden[name=qlParentId]').val();

    if (qlMainMenu == '0' && qlMainMenu2 != '1' && $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").length >= 5) {
        _alert("二级菜单最多5个.");
        return;
    }

    _alert("正在保存,请稍后");
    $.ajax({
        url: "/Member/AddMenu?_r" + Math.random(),
        type: "POST", dataType: "json",
        timeout: "10000",
        data: { "menuid": tbMenuid,
            "menuName": menuName,
            "parentId": tbmenuPid,
            "menuorder": qlMenuId
        },
        success: function (data) {
            if (data.ErrorCode == 0) {
                if (qlMainMenu == '1') {//main
                    $(".mainMenu").find("span").eq(qlMenuId).html(menuName);
                    $(".mainMenu").find("span").eq(qlMenuId).addClass("Modify");
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrmenuid", data.menuid);

                    $(".mainMenu").eq(qlMenuId).find(".attrcurcont").html(data.curcont);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrreptype", data.replyType);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrviewurl", data.menuKey);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrop", data.OpFrom);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrchooseid", data.ChooseArtId);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrmenutypeql", data.menutype);

                    $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").attr("attrparientid", data.menuid);
                } else {//sub
                    if (qlMainMenu2 == '0') {
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").after("<dd class='mlla_gy mall_er'><span menuorder='100' attrmenuid='" + data.menuid + "' class='" + data.menuid + "' attrParientId='" + data.parentMenuid + "' attrreptype='" + data.replyType + "' attrviewurl='" + data.menuKey + "' attrop='" + data.OpFrom + "' attrchooseid='" + data.ChooseArtId + "' attrmenutypeql='" + data.menutype + "'>" + data.menuName + "</span><div class='attrcurcont' style='display: none'>" + data.curcont + "</div><img src='/Content/images/CustomLt22.png' width='6' height='6' class='closes' mainmenuid='" + qlMenuId + "' attrmenuid='" + data.menuid + "' /></dd>");
                        if ($(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").size() >= 5)
                            $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").hide();
                    } else {
                        var qlSubClassId = $(':hidden[name=qlSubClassId]').val();
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).html(data.menuName);

                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).parent().find(".attrcurcont").html(data.curcont);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrreptype", data.replyType);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrviewurl", data.menuKey);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrop", data.OpFrom);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrchooseid", data.ChooseArtId);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrmenutypeql", data.menutype);
                    }
                }
                _alert(data.ErrorStr);
            } else {
                _alert(data.ErrorStr);
            }
        }
    });
});

$(".btnCont").live('click', function () {
    var menuName = $("#menuName2").val();
    menuName = $.trim(menuName);
    if (menuName == '' || menuName.length == 0) {
        _alert("请填写菜单名称");
        return;
    }

    var OpFrom = $(':hidden[name=OpFrom]').val();
    var ChooseArtId = $(':hidden[name=ChooseArtId]').val();
    var curCont = $(".CurrentCont").html();
    var viewurl = $("#veiwurl").attr("value");
    viewurl = $.trim(viewurl);
    var conttype = $("#replyType").val();

    if ((ChooseArtId == 0) && (viewurl == '' || viewurl.length == 0)) {
        _alert("请选择内容");
        return;
    }

    var qlMainMenu2 = $(':hidden[name=qlMainMenu2]').val();
    var qlMainMenu = $(':hidden[name=qlMainMenu]').val();
    var qlMenuId = $(':hidden[name=qlMenuId]').val();

    var tbMenuid = $(':hidden[name=qlTBMenuId]').val();
    var tbmenuPid = $(':hidden[name=qlParentId]').val();

    if (qlMainMenu == '0' && qlMainMenu2 != '1' && $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").length >= 5) {
        _alert("二级菜单最多5个.");
        return;
    }

    _alert("正在保存,请稍后");
    $.ajax({
        url: "/Member/AddMenuEx?_r" + Math.random(),
        type: "POST", dataType: "json",
        timeout: "10000",
        data: { "menuid": tbMenuid,
            "menuName": menuName,
            "parentId": tbmenuPid,
            "OpFrom": OpFrom,
            "ChooseArtId": ChooseArtId,
            "curCont": curCont,
            "viewurl": viewurl,
            "conttype": conttype,
            "menuorder": qlMenuId
        },
        success: function (data) {
            if (data.ErrorCode == 0) {
                if (qlMainMenu == '1') {//main
                    $(".mainMenu").find("span").eq(qlMenuId).html(menuName);
                    $(".mainMenu").find("span").eq(qlMenuId).addClass("Modify");
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrmenuid", data.menuid);

                    $(".mainMenu").eq(qlMenuId).find(".attrcurcont").html(data.curcont);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrreptype", data.replyType);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrviewurl", data.menuKey);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrop", data.OpFrom);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrchooseid", data.ChooseArtId);
                    $(".mainMenu").find("span").eq(qlMenuId).attr("attrmenutypeql", data.menutype);

                    $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").attr("attrparientid", data.menuid);
                } else {//sub
                    if (qlMainMenu2 == '0') {
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").after("<dd class='mlla_gy mall_er'><span menuorder='100' attrmenuid='" + data.menuid + "' class='" + data.menuid + "' attrParientId='" + data.parentMenuid + "' attrreptype='" + data.replyType + "' attrviewurl='" + data.menuKey + "' attrop='" + data.OpFrom + "' attrchooseid='" + data.ChooseArtId + "' attrmenutypeql='" + data.menutype + "'>" + data.menuName + "</span><div class='attrcurcont' style='display: none'>" + data.curcont + "</div><img src='/Content/images/CustomLt22.png' width='6' height='6' class='closes' mainmenuid='" + qlMenuId + "' attrmenuid='" + data.menuid + "' /></dd>");
                        if ($(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").size() >= 5)
                            $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").hide();
                    } else {
                        var qlSubClassId = $(':hidden[name=qlSubClassId]').val();
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).html(data.menuName);

                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).parent().find(".attrcurcont").html(data.curcont);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrreptype", data.replyType);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrviewurl", data.menuKey);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrop", data.OpFrom);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrchooseid", data.ChooseArtId);
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + qlSubClassId).attr("attrmenutypeql", data.menutype);
                    }
                }
                _alert(data.ErrorStr);
            } else {
                _alert(data.ErrorStr);
            }
        }
    });
});

$(".mainMenu").live('click', function () {
    //var id = $(this).attr("mainmenuId");
    //$('input[name=mgNum]').attr('value', id);
    if ($(this).find("span").hasClass("Modify")) {
        $(".mr_one").hide();
        $(".mr_two").show();
        var mainmenuId = $(this).attr("mainmenuId");
        $('input[name=qlMenuId]').attr('value', mainmenuId);
        $('input[name=qlMainMenu]').attr('value', '1');
        $('input[name=qlMainMenu2]').attr('value', '1');
        $('input[name=qlTBMenuId]').attr('value', $(this).find("span").attr("attrmenuid"));
        $('input[name=qlParentId]').attr('value', '0');

        $("#menuName").attr("value", $(this).find("span").html());
        $("#menuName2").attr("value", $(this).find("span").html());
        $(this).parent().find(".mll_add").show();
        if ($(this).parent().find(".mll_add").find(".mall_er").size() < 5)
            $(this).parent().find(".mll_add").find(".addmenu").show();
        $("#menuName").focus();

        $("#replyType").attr("value", $(this).find("span").attr("attrreptype"));
        $(".CurrentCont").html($(this).find(".attrcurcont").html());
        if ($(this).find("span").attr("attrmenutypeql") == "view") {
            $("#veiwurl").attr("value", $(this).find("span").attr("attrviewurl"));
            $(".libFrom").find("a").hide();
            $(".libFrom").find("input").show();
        } else {
            $(".libFrom").find("input").hide();
            $(".libFrom").find("a").show();
        }
        $('input[name=OpFrom]').attr('value', $(this).find("span").attr("attrop"));
        $('input[name=ChooseArtId]').attr('value', $(this).find("span").attr("attrchooseid"));
        $('input[name=PageIndex]').attr('value', '1');
        $('input[name=PageCount]').attr('value', '1');
    }
    else {
        $(".mr_one").hide();
        $(".mr_two").show();
        var mainmenuId = $(this).attr("mainmenuId");
        $('input[name=qlMenuId]').attr('value', mainmenuId);
        $('input[name=qlMainMenu]').attr('value', '1');
        $('input[name=qlMainMenu2]').attr('value', '0');
        $("#menuName").attr("value", "");
        $("#menuName2").attr("value", "");
        $('input[name=qlTBMenuId]').attr('value', '0');
        $('input[name=qlParentId]').attr('value', '0');
        $("#menuName").focus();

        $("#replyType").attr("value", "TEXT");
        $(".CurrentCont").html("请选择内容库");
        $("#veiwurl").attr("value", "");
        $('input[name=OpFrom]').attr('value', '0');
        $('input[name=ChooseArtId]').attr('value', '0');
        $('input[name=PageIndex]').attr('value', '1');
        $('input[name=PageCount]').attr('value', '1');
        $(".libFrom").find("input").hide();
        $(".libFrom").find("a").show();
    }
});
$(".mll_add").find(".addmenu").live('click', function () {
    $(".mr_one").hide();
    $(".mr_two").show();
    var mainmenuId = $(this).parent().parent().find(".mainMenu").attr("mainmenuid");
    $('input[name=qlMenuId]').attr('value', mainmenuId);
    $('input[name=qlMainMenu]').attr('value', '0');
    $('input[name=qlMainMenu2]').attr('value', '0');
    $("#menuName").attr("value", "");
    $("#menuName2").attr("value", "");
    $('input[name=qlTBMenuId]').attr('value', '0');
    $('input[name=qlParentId]').attr('value', $(this).attr("attrParientId"));
    $("#menuName").focus();

    $("#replyType").attr("value", "TEXT");
    $(".CurrentCont").html("请选择内容库");
    $("#veiwurl").attr("value", "");
    $('input[name=OpFrom]').attr('value', '0');
    $('input[name=ChooseArtId]').attr('value', '0');
    $('input[name=PageIndex]').attr('value', '1');
    $('input[name=PageCount]').attr('value', '1');
    $(".libFrom").find("input").hide();
    $(".libFrom").find("a").show();
});

$(".mll_add").find(".mall_er").live('click', function () {
    $(".mr_one").hide();
    $(".mr_two").show();
    var mainmenuId = $(this).parent().parent().find(".mainMenu").attr("mainmenuId");
    $('input[name=qlMenuId]').attr('value', mainmenuId);
    $('input[name=qlMainMenu]').attr('value', '0');
    $('input[name=qlMainMenu2]').attr('value', '1');
    $('input[name=qlTBMenuId]').attr('value', $(this).find("span").attr("attrmenuid"));
    $('input[name=qlParentId]').attr('value', $(this).find("span").attr("attrparientid"));
    $('input[name=qlSubClassId]').attr('value', $(this).find("span").attr("class"));

    $("#menuName").attr("value", $(this).find("span").html());
    $("#menuName2").attr("value", $(this).find("span").html());
    $("#menuName").focus();

    $("#replyType").attr("value", $(this).find("span").attr("attrreptype"));
    $(".CurrentCont").html($(this).find(".attrcurcont").html());
    if ($(this).find("span").attr("attrmenutypeql") == "view") {
        $("#veiwurl").attr("value", $(this).find("span").attr("attrviewurl"));
        $(".libFrom").find("a").hide();
        $(".libFrom").find("input").show();
    } else {
        $(".libFrom").find("input").hide();
        $(".libFrom").find("a").show();
    }
    $('input[name=OpFrom]').attr('value', $(this).find("span").attr("attrop"));
    $('input[name=ChooseArtId]').attr('value', $(this).find("span").attr("attrchooseid"));
    $('input[name=PageIndex]').attr('value', '1');
    $('input[name=PageCount]').attr('value', '1');
});

$(".mll_add").find(".mall_er").find("img").live('click', function () {
    var qlMenuId = $(this).attr("mainmenuId");
    var attrmenuid = $(this).attr("attrmenuid");
    if (attrmenuid > 0) {
        if (confirm('确定要删除菜单(' + $(this).parent().find("span").html() + ')么?')) {
            $.ajax({
                url: "/Member/DelMenu?_r" + Math.random(),
                type: "POST", dataType: "json",
                timeout: "10000",
                data: { "menuid": attrmenuid,
                    "parentId": 0
                },
                success: function (data) {
                    if (data.ErrorCode == 0) {
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").find("." + attrmenuid).parent().remove();
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").show();

                        $("#replyType").attr("value", "TEXT");
                        $(".CurrentCont").html("请选择内容库");
                        $("#veiwurl").attr("value", "");
                        $('input[name=OpFrom]').attr('value', '0');
                        $('input[name=ChooseArtId]').attr('value', '0');
                        $('input[name=PageIndex]').attr('value', '1');
                        $('input[name=PageCount]').attr('value', '1');
                        _alert(data.ErrorStr);
                    } else { _alert(data.ErrorStr); }
                }
            });
        }
    }
});

$(".mainMenu").find("img").live('click', function () {
    var qlMenuId = $(this).parent().attr("mainmenuid");
    var attrmenuid = $(this).parent().find("span").attr("attrmenuid");
    if (attrmenuid > 0) {
        if (confirm('删除主菜单会同时删除二级菜单,确定要删除主菜单(' + $(this).parent().find("span").html() + ')么?')) {
            $.ajax({
                url: "/Member/DelMenu?_r" + Math.random(),
                type: "POST", dataType: "json",
                timeout: "10000",
                data: { "menuid": attrmenuid,
                    "parentId": attrmenuid
                },
                success: function (data) {
                    if (data.ErrorCode == 0) {
                        $(".mainMenu").eq(qlMenuId).find("span").removeClass("Modify");
                        $(".mainMenu").eq(qlMenuId).find("span").html("添加");
                        $(".mainMenu").eq(qlMenuId).find("span").attr("attrcurcont", "请选择内容库");
                        $(".mainMenu").eq(qlMenuId).find("span").attr("attrreptype", "TEXT");
                        $(".mainMenu").eq(qlMenuId).find("span").attr("attrviewurl", "");
                        $(".mainMenu").eq(qlMenuId).find("span").attr("attrop", "0");
                        $(".mainMenu").eq(qlMenuId).find("span").attr("attrchooseid", "0");
                        $(".mainMenu").eq(qlMenuId).find("span").attr("attrmenutypeql", "click");

                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".mall_er").remove();

                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").attr("attrmenuid", "0");
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").find(".addmenu").attr("attrparientid", "0");
                        $(".mainMenu").eq(qlMenuId).parent().find(".mll_add").hide();

                        $("#replyType").attr("value", "TEXT");
                        $(".CurrentCont").html("请选择内容库");
                        $("#veiwurl").attr("value", "");
                        $('input[name=OpFrom]').attr('value', '0');
                        $('input[name=ChooseArtId]').attr('value', '0');
                        $('input[name=PageIndex]').attr('value', '1');
                        $('input[name=PageCount]').attr('value', '1');
                        _alert(data.ErrorStr);
                    } else { _alert(data.ErrorStr); }
                }
            });
        }
    }
});

$(".ChangeMenu").live('click', function () {
    if (confirm("确定要生成自定义菜单么?")) {
        _alert("正在处理,请稍后");
        $.ajax({
            url: "/Member/ChangeMenu?_r" + Math.random(),
            type: "POST", dataType: "json",
            timeout: "10000",
            success: function (data) {
                if (data.ErrorCode == 0) {
                    _alert(data.ErrorStr);
                } else { _alert(data.ErrorStr); }
            }
        });
    }
});

$(".CloseMenu").live('click', function () {
    if (confirm("确定要关闭自定义菜单么?")) {
        _alert("正在处理,请稍后");
        $.ajax({
            url: "/Member/CloseMenu?_r" + Math.random(),
            type: "POST", dataType: "json",
            timeout: "10000",
            success: function (data) {
                if (data.ErrorCode == 0) {
                    _alert(data.ErrorStr);
                } else { _alert(data.ErrorStr); }
            }
        });
    }
});